io.vertx.rxjava.ext.web

## Class Locale

- java.lang.Object
- - io.vertx.rxjava.ext.web.Locale

- Direct Known Subclasses:
    LanguageHeader

      public class Locale
      extends Object

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<Locale>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Locale(Locale delegate)`
    `Locale(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `country()` Deprecated.
    `static Locale` | `create()` Deprecated.
    `static Locale` | `create(String language)` Deprecated.
    `static Locale` | `create(String language, String country)` Deprecated.
    `static Locale` | `create(String language, String country, String variant)` Deprecated.
    `boolean` | `equals(Object o)`
    `Locale` | `getDelegate()`
    `int` | `hashCode()`
    `String` | `language()` Deprecated.
    `static Locale` | `newInstance(Locale arg)`
    `String` | `toString()`
    `String` | `variant()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Locale> __TYPE_ARG

  - ### Constructor Detail

    - #### Locale

          public Locale(Locale delegate)

    - #### Locale

          public Locale(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public Locale getDelegate()

    - #### create

          @Deprecated
          public static Locale create()

      Deprecated.

    - #### create

          @Deprecated
          public static Locale create(String language)

      Deprecated.

    - #### create

          @Deprecated
          public static Locale create(String language,
                                                  String country)

      Deprecated.

    - #### create

          @Deprecated
          public static Locale create(String language,
                                                  String country,
                                                  String variant)

      Deprecated.

    - #### language

          @Deprecated
          public String language()

      Deprecated.
      Returns the language as reported by the HTTP client.
      Returns:
        language

    - #### country

          @Deprecated
          public String country()

      Deprecated.
      Returns the country as reported by the HTTP client.
      Returns:
        variant

    - #### variant

          @Deprecated
          public String variant()

      Deprecated.
      Returns the variant as reported by the HTTP client.
      Returns:
        variant

    - #### newInstance

          public static Locale newInstance(Locale arg)

Copyright © 2020 Eclipse. All rights reserved.